Elm unter Linux installieren / How to install elm-lang under linux

Um unter Linux mit der Sprache Elm zu programmieren, muss man diese installieren. Leider findet man unter http://elm-lang.org/Install.elm nur etwas für Mac und Windows.

Mit den Debian GHC und cabal packages konnte ich elm nicht installieren. Daher am besten diese selbst compilern und installieren. Dafür verwendet man die Anleitung https://gist.github.com/yantonov/10083524 um GHC und cabal in der aktuellen Version zu installieren.  Wichtig, am Ende gib es den Punkt “# add path to cabal to PATH environment”. Dort muss vor die beiden zeilen noch ein export und dann kann das ganze wie bei ghc in der Datei ~/.profile eingetragen werden.

Danach kann man dann der Anleitung “Build from Source” auf http://elm-lang.org/Install.elm  folgen:

Es ist möglich das es danach dann zu Fehlern kommt. Sollte es Probleme bei einem Package geben, findet man das log unter ~/.cabal/logs/<packagename>.log

Bei mir gab es einen Fehler bei der Installation von haskeline-0.7.2.1. Die Lösung war die Pakete lib64tinfo5 und libtinfo-dev über den Paketmanager Synaptic zu installieren.

For english:

Use for install ghc and cabal not the debian or suse packages. Use the step for step howto from https://gist.github.com/yantonov/10083524. Please add the steps after “# add path to cabal to PATH environment” to your ~/.profile file and add the word “export” for each line.

After this you can use the howto from http://elm-lang.org/Install.elm for “Build from source”.

I you have a problem, check the logs under ~/.cabal/logs/.

For Problems with haskeline-0.7.2.1 you must install with apt-get the packagelib64tinfo5 and libtinfo-dev.

Tobi

Author: Tobi

I am an software developer and project manager and have interest for the topics wordress, spring, java, agile, lean, kanban, scrum, javascript, motivation and good software development.

Leave a Reply

Your email address will not be published. Required fields are marked *